server:
  port: 8848
  tomcat:
    basedir: logs

#db:
#  num: 1
#  user: ${MYSQL-USER:wm}
#  password: ${MYSQL-PWD:Wm123456!}
#  url:
#    0: jdbc:mysql://140.143.219.11:10268/${MYSQL_DB:hnqzx_config}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

# 正式配置
db:
  num: 1
  user: ${MYSQL-USER:wm}
  password: ${MYSQL-PWD:v!njGb4j07Ok31Su}
  url:
    0: jdbc:mysql://${MYSQL_HOST:hnqz-mysql}:${MYSQL_PORT:33060}/${MYSQL_DB:hnqzx_config}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

nacos:
  core:
    auth:
      system.type: nacos
      default.token.secret.key: SecretKey012345678901234567890123456789012345678901234567890123456789
  security:
    ignore:
      urls: /,/error,/**/*.css,/**/*.js,/**/*.html,/**/*.map,/**/*.svg,/**/*.png,/**/*.ico,/console-fe/public/**,/v1/auth/**,/v1/console/health/**,/actuator/**,/v1/console/server/**

spring:
  datasource:
    platform: mysql
  security:
    enabled: true

useAddressServer: true

